Jump to content

[TOPIC: topicViewTemplate]
[GLOBAL: userSmallPhoto]
Photo

Buiding for Amazon with latest public release problem
Started by greg brady Jul 16 2018 12:20 PM

7 replies to this topic

Best Answer greg brady , 17 July 2018 - 04:19 AM

Thanks for the replies, I resubmitted this morning and it seems to have worked.  I don't know what happened but submitting with Corona Sdk 3329 worked fine.

 

Greg

[TOPIC CONTROLS]
[/TOPIC CONTROLS]
[modOptionsDropdown]
[/modOptionsDropdown]
[reputationFilter]
[TOPIC: post.html]
#1

greg brady

[GLOBAL: userInfoPane.html]
greg brady
  • Contributor

  • 254 posts
  • Corona SDK

Hi,

 

The latest public build creates an apk that is too advanced for Amazon devices.  When I tried to upload to Amazon I got errors about the apk not supporting Amazon devices.

 

So what is the most stable pre API 26 that I should use to build versions for Amazon?

 

Thanks, Greg



[TOPIC: post.html]
#2

Rob Miracle

[GLOBAL: userInfoPane.html]
Rob Miracle
  • Moderator

  • 24,331 posts
  • Corona Staff

I would try 3319. But I don't know why Amazon would have issues with our support of API 27. It's a maximum supported API and Corona apps should run anywhere from API level 15 (4.04) to 27 (8.1).

 

Rob



[TOPIC: post.html]
#3

greg brady

[GLOBAL: userInfoPane.html]
greg brady
  • Contributor

  • 254 posts
  • Corona SDK

The Amazon error message said they support API Level 10 and that 15 was to high,I will re-upload to review the message.

 

Greg



[TOPIC: post.html]
#4

Rob Miracle

[GLOBAL: userInfoPane.html]
Rob Miracle
  • Moderator

  • 24,331 posts
  • Corona Staff

Then you're going to need a much, much older version of Corona. We haven't supported API level 10 in a couple of years. That's like 2.2.3 which was the original Kindle Fire, which they don't ship any longer. 

 

That's really odd. People have been deploying to Amazon without issue since we made 15 the minimum.

 

Rob



[TOPIC: post.html]
#5

greg brady

[GLOBAL: userInfoPane.html]
greg brady
  • Contributor

  • 254 posts
  • Corona SDK

I agree and have been uploading with no problem to Amazon for several years.

 

Amazon Developer console looks like its messed up at the moment... I will report back as soon as I can successfully upload an apk...

 

Greg



[TOPIC: post.html]
#6

agramonte

[GLOBAL: userInfoPane.html]
agramonte
  • Contributor

  • 684 posts
  • Corona SDK

API level 10 is to support the original Kindle Fire (Corona has not supported that in a long time). I can't imagine you have many users using that. I have not used the latest public release, but the last version I submitted was June 15th with whatever the daily build was a day before that. Other than not supporting the original Kindle Fire my app supports all other Kindles.

 

Attached File  kindlesupport.png   53.46KB   0 downloads



[TOPIC: post.html]
#7

greg brady

[GLOBAL: userInfoPane.html]
greg brady
  • Contributor

  • 254 posts
  • Corona SDK

  Best Answer

Thanks for the replies, I resubmitted this morning and it seems to have worked.  I don't know what happened but submitting with Corona Sdk 3329 worked fine.

 

Greg



[TOPIC: post.html]
#8

Yoger Games

[GLOBAL: userInfoPane.html]
Yoger Games
  • Enthusiast

  • 95 posts
  • Corona SDK

I've run into the same issue. Have tried to build amazon apps with builds 3314, 3329, 3332. None works, always "0 supported devices". 

 

Update: For some reason all devices are turned off on the APK tab in amazon developer console. It's possible to re-enable all devices.




[topic_controls]
[/topic_controls]